import request from "@/utils/request";

export function LIST(data, params) {
  return request({
    url: "/pu/price/catalogue/list",
    method: "POST",
    params: params,
    data: data,
  });
}

export function ITEM(data) {
  return request({
    url: `/pu/price/catalogue/${data}`,
    method: "GET",
  });
}

export function EDIT(data) {
  return request({
    url: "/pu/price/catalogue/edit",
    method: "POST",
    data: data,
  });
}

export function INVALID(data) {
  return request({
    url: "/pu/price/catalogue/invalid",
    method: "POST",
    data: data,
  });
}

export function ENABLE(data) {
  return request({
    url: "/pu/price/catalogue/enable",
    method: "POST",
    data: data,
  });
}

export function EXIST(data) {
  return request({
    url: "/pu/price/catalogue/priceIsExist",
    method: "POST",
    data: data,
  });
}

export function EXPORT(data) {
  return request({
    url: "/pu/price/catalogue/export",
    method: "POST",
    data: data,
  });
}
